
#ifndef _ini_h_
#define _ini_h_


#include <vector>
#include <string>
using namespace std;

class cIniFile
{
	public:
		void LoadIni(char *filename);
      void WriteIni(char *filename);

      string ReadKey(string section, string sKey);
		void WriteKey(string section, string sKey, string value);

      int ReadKeyI(string sSection, string sKey, int iDefault);
      void WriteKeyI(string sSection, string sKey, int iValue);

      unsigned long ReadKeyHex(string sSection, string sKey, int iDefault);

   private:
   	bool bChanged;
		vector<string> m_Array;

      int FindSection(string section);
      int FindKey(string section, string sKey);
      string ExtractValue(int i);
      string KeyWord(string s);

};


#endif // _ini_h_
