/*
.AUTHOR         Gerhard Steinwedel

.SHORT_DESCR    Dieses h-File entscheidet, welches LCD-Display eingebunden wird

.SW_COMPONENT	 Video

.STATUS         First_TRY

.CHANGE_CONTROL
Version |  Date  | Changed by   | Reason for Change
  1.0    17.02.02  G.Steinwedel   file created......
*/

#ifndef _LCD_H
#define _LCD_H


#include <global.h>

#if (LCD_CONTROLLER == SED1520)
#include "lib/video/sed1520.h"
#elif (LCD_CONTROLLER == KS0108)
#include "lib/video/ks0108.h"
#else
#pragma message ("ERROR [in LCD.H]: In global.h. wurde fr Konstante LCD_CONTROLLER kein gueltiger Wert definiert")
#endif

#endif // _LCD_H
